libzypp 17.37.10

HelixHelpers.h File Reference
`#include <zypp/AutoDispose.h>`
`#include <zypp/base/LogControl.h>`
`#include <zypp/misc/LoadTestcase.h>`
`#include <zypp/misc/TestcaseSetupImpl.h>`
`#include <libxml/parser.h>`
`#include <libxml/xmlmemory.h>`
`#include <string>`
`#include <map>`
`#include <string_view>`
`#include <optional>`

Go to the source code of this file.

## Classes
struct | helix::detail::AutoXmlFree< Tp >
class | helix::detail::XmlNode

## Namespaces
namespace | helix
namespace | helix::detail

## Macros
#define | if_SolverFlag(N)

## Functions
bool | helix::detail::parseSetup (const XmlNode &setup, zypp::misc::testcase::TestcaseSetup &t, std::string *err)
bool | helix::detail::parseTrialNode (const XmlNode &node, zypp::misc::testcase::TestcaseTrial::Node &testcaseNode)
bool | helix::detail::parseTrial (const XmlNode &trial, zypp::misc::testcase::TestcaseTrial &target, std::string *)

## Macro Definition Documentation

## ◆ if_SolverFlag

#define if_SolverFlag | ( |  | N | ) |

Value:
if ( node->equals( #N ) ) { target.N = true; }